__gnu_cxx::stdio_sync_filebuf< _CharT, _Traits >(3)

NAME
__gnu_cxx::stdio_sync_filebuf< _CharT, _Traits > -

SYNOPSIS

Inherits basic_streambuf< _CharT, _Traits >.

  Public Types
typedef _CharT char_type
typedef traits_type::int_type int_type
typedef traits_type::off_type off_type
typedef traits_type::pos_type pos_type
typedef _Traits traits_type

  Public Member Functions
stdio_sync_filebuf (std::__c_file *__f)
stdio_sync_filebuf (stdio_sync_filebuf &&__fb) noexcept
std::__c_file * file ()
stdio_sync_filebuf & operator= (stdio_sync_filebuf &&__fb) noexcept
void swap (stdio_sync_filebuf &__fb)

  Protected Member Functions
virtual int_type overflow (int_type __c=traits_type::eof())
virtual int_type pbackfail (int_type __c=traits_type::eof())
virtual std::streampos seekoff (std::streamoff __off, std::ios_base::seekdir __dir, std::ios_base::openmode=std::ios_base::in|std::ios_base::out)
virtual std::streampos seekpos (std::streampos __pos, std::ios_base::openmode __mode=std::ios_base::in|std::ios_base::out)
virtual int sync ()
int_type syncgetc ()
template<> stdio_sync_filebuf< char >::int_type syncgetc ()
template<> stdio_sync_filebuf< wchar_t >::int_type syncgetc ()
int_type syncputc (int_type __c)
template<> stdio_sync_filebuf< char >::int_type syncputc (int_type __c)
template<> stdio_sync_filebuf< wchar_t >::int_type syncputc (int_type __c)
int_type syncungetc (int_type __c)
template<> stdio_sync_filebuf< char >::int_type syncungetc (int_type __c)
template<> stdio_sync_filebuf< wchar_t >::int_type syncungetc (int_type __c)
virtual int_type uflow ()
virtual int_type underflow ()
virtual std::streamsize xsgetn (char_type *__s, std::streamsize __n)
template<> std::streamsize xsgetn (char *__s, std::streamsize __n)
template<> std::streamsize xsgetn (wchar_t *__s, std::streamsize __n)
virtual std::streamsize xsputn (const char_type *__s, std::streamsize __n)
template<> std::streamsize xsputn (const char *__s, std::streamsize __n)
template<> std::streamsize xsputn (const wchar_t *__s, std::streamsize __n)

Detailed Description

  template<typename _CharT, typename _Traits = std::char_traits<_CharT>>class __gnu_cxx::stdio_sync_filebuf< _CharT, _Traits >
Provides a layer of compatibility for C.

This GNU extension provides extensions for working with standard C FILE*'s. It must be instantiated by the user with the type of character used in the file stream, e.g., stdio_filebuf<char>.

Definition at line 57 of file stdio_sync_filebuf.h.

Member Function Documentation

  template<typename _CharT , typename _Traits = std::char_traits<_CharT>> std::__c_file* __gnu_cxx::stdio_sync_filebuf< _CharT, _Traits >::file () [inline]

Returns:
    The underlying FILE*.

This function can be used to access the underlying C file pointer. Note that there is no way for the library to track what you do with the file, so be careful.

Definition at line 118 of file stdio_sync_filebuf.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.